summaryrefslogtreecommitdiff
path: root/klm/test.sh
diff options
context:
space:
mode:
authorredpony <redpony@ec762483-ff6d-05da-a07a-a48fb63a330f>2010-10-18 23:24:01 +0000
committerredpony <redpony@ec762483-ff6d-05da-a07a-a48fb63a330f>2010-10-18 23:24:01 +0000
commite0ef743090038ee02d656cee11debd2246624ba0 (patch)
treee5e1d32402c8dcb490c574e24c087c56d4cc172e /klm/test.sh
parent0c2514868f58bbfe422aa275e2905182cf2f57eb (diff)
kenneth's LM preliminary integration
git-svn-id: https://ws10smt.googlecode.com/svn/trunk@681 ec762483-ff6d-05da-a07a-a48fb63a330f
Diffstat (limited to 'klm/test.sh')
-rwxr-xr-xklm/test.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/klm/test.sh b/klm/test.sh
new file mode 100755
index 00000000..b741cdf0
--- /dev/null
+++ b/klm/test.sh
@@ -0,0 +1,8 @@
+#!/bin/bash
+#Run tests. Requires Boost.
+set -e
+./compile.sh
+for i in util/{file_piece,joint_sort,key_value_packing,probing_hash_table,sorted_uniform}_test lm/ngram_test; do
+ g++ -I. -O3 $i.cc {lm,util}/*.o -lboost_test_exec_monitor -o $i
+ pushd $(dirname $i) && ./$(basename $i); popd
+done